library geiger_localstorage;

import 'dart:async';

class ByteSink {
  final StreamController<List<int>> _controller = StreamController();

  final List<int> _list = [];

  ByteSink() {
    _controller.stream.listen((event) {
      _list.addAll(event);
    });
  }

  Sink<List<int>> get sink {
    return _controller.sink;
  }

  void close() {
    _controller.close();
  }

  Future<List<int>> get bytes async {
    await _controller.done;
    return _list;
  }
}
